Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:       nodejs-inherits1
Version:    1.0.0
Release:    alt1_21
Summary:    A tiny simple way to do classic inheritance in JS - legacy version
#the license is not included with the tarball so we retrieve it from the
#upstream git repository in Source1
License:    WTFPL
URL:        https://github.com/isaacs/inherits
Source0:    https://registry.npmjs.org/inherits/-/inherits-%{version}.tgz
Source1:    https://raw.github.com/isaacs/inherits/112807f2670160b6e3bafdf39e395c10ae7d0fac/LICENSE
BuildArch:  noarch

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info

%description
A tiny simple way to do classic inheritance in JavaScript.

This is the legacy version used by many Node.js modules for many years, and is
retained for backward compatibility.  New modules should use the inheritance
functionality available in core Node.js or use the new version of inherits if
they need browser support as well.

%prep
%setup -q -n package

#copy the license into %%{_builddir} so it works with %%doc
cp -p %{SOURCE1} LICENSE

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/inherits@1
cp -pr inherits.js package.json %{buildroot}%{nodejs_sitelib}/inherits@1

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/inherits@1
%doc README.md
%doc --no-dereference LICENSE

%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_21
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_12
- fc import

* Thu Jun 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_11
- initial import

